diff -Nacr a/src/backend/postmaster/postmaster.c b/src/backend/postmaster/postmaster.c
*** a/src/backend/postmaster/postmaster.c	2016-10-25 13:17:23.000000000 +0900
--- b/src/backend/postmaster/postmaster.c	2016-10-26 13:44:32.000000000 +0900
***************
*** 1753,1759 ****
  		}
  
  		/* If we have lost the stats collector, try to start a new one */
! 		if (PgStatPID == 0 && pmState == PM_RUN)
  			PgStatPID = pgstat_start();
  
  		/* If we have lost the archiver, try to start a new one. */
--- 1753,1760 ----
  		}
  
  		/* If we have lost the stats collector, try to start a new one */
! 		if (PgStatPID == 0 &&
! 			(pmState == PM_RUN || pmState == PM_HOT_STANDBY))
  			PgStatPID = pgstat_start();
  
  		/* If we have lost the archiver, try to start a new one. */
***************
*** 2963,2969 ****
  			if (!EXIT_STATUS_0(exitstatus))
  				LogChildExit(LOG, _("statistics collector process"),
  							 pid, exitstatus);
! 			if (pmState == PM_RUN)
  				PgStatPID = pgstat_start();
  			continue;
  		}
--- 2964,2970 ----
  			if (!EXIT_STATUS_0(exitstatus))
  				LogChildExit(LOG, _("statistics collector process"),
  							 pid, exitstatus);
! 			if (pmState == PM_RUN || pmState == PM_HOT_STANDBY)
  				PgStatPID = pgstat_start();
  			continue;
  		}
